#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  set have_grubenv=true
  load_env
fi
if [ "${next_entry}" ] ; then
   set default="${next_entry}"
   set next_entry=
   save_env next_entry
   set boot_once=true
else
   set default="0"
fi

if [ x"${feature_menuentry_id}" = xy ]; then
  menuentry_id_option="--id"
else
  menuentry_id_option=""
fi

export menuentry_id_option

if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}
function recordfail {
  set recordfail=1
  if [ -n "${have_grubenv}" ]; then if [ -z "${boot_once}" ]; then save_env recordfail; fi; fi
}
function load_video {
  if [ x$feature_all_video_module = xy ]; then
    insmod all_video
  else
    insmod efi_gop
    insmod efi_uga
    insmod ieee1275_fb
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
  fi
}

insmod part_msdos
insmod ext2
set root='hd0,msdos5'
if [ x$feature_platform_search_hint = xy ]; then
  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
else
  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
fi
if loadfont /boot/grub/unicode.pf2 ; then
  set gfxmode=auto
  load_video
  insmod gfxterm
  set locale_dir=$prefix/locale
  set lang=cs_CZ
  insmod gettext
fi
terminal_output gfxterm
insmod part_msdos
insmod ext2
set root='hd0,msdos5'
if [ x$feature_platform_search_hint = xy ]; then
  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
else
  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
fi
insmod gfxmenu
loadfont ($root)/boot/grub/themes/Anonymous-Hope/dejavu_12.pf2
loadfont ($root)/boot/grub/themes/Anonymous-Hope/dejavu_14.pf2
insmod png
set theme=($root)/boot/grub/themes/Anonymous-Hope/theme.txt
export theme
if [ "${recordfail}" = 1 ] ; then
  set timeout=30
else
  if [ x$feature_timeout_style = xy ] ; then
    set timeout_style=menu
    set timeout=10
  # Fallback normal timeout code in case the timeout_style feature is
  # unavailable.
  else
    set timeout=10
  fi
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod part_msdos
insmod ext2
set root='hd0,msdos5'
if [ x$feature_platform_search_hint = xy ]; then
  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
else
  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
fi
insmod jpeg
if background_image /home/miroslav/Stažené/8a727f1ae9d48de6d6354137_rw_1200.jpg; then
  set color_normal=black/black
  set color_highlight=yellow/cyan
else
  set menu_color_normal=white/black
  set menu_color_highlight=black/light-gray
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux_proxy ###

function gfxmode {
	set gfxpayload="${1}"
	if [ "${1}" = "keep" ]; then
		set vt_handoff=vt.handoff=1
	else
		set vt_handoff=
	fi
}
if [ "${recordfail}" != 1 ]; then
  if [ -e ${prefix}/gfxblacklist.txt ]; then
    if hwmatch ${prefix}/gfxblacklist.txt 3; then
      if [ ${match} = 0 ]; then
        set linux_gfx_mode=keep
      else
        set linux_gfx_mode=text
      fi
    else
      set linux_gfx_mode=text
    fi
  else
    set linux_gfx_mode=keep
  fi
else
  set linux_gfx_mode=text
fi
export linux_gfx_mode



menuentry "Mint 19" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'Linux Mint 19 MATE' {
	recordfail
	load_video
	gfxmode $linux_gfx_mode
	insmod gzio
	if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos5'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	else
	  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	fi
        linux	/boot/vmlinuz-4.15.0-36-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro  quiet splash $vt_handoff
	initrd	/boot/initrd.img-4.15.0-36-generic
}
submenu "Advanced options for Mint"{
menuentry "Ubuntu, with Linux 4.15.0-36-generic" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-36-generic-advanced-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		gfxmode $linux_gfx_mode
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-36-generic ...'
	        linux	/boot/vmlinuz-4.15.0-36-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro  quiet splash $vt_handoff
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-36-generic
}
menuentry "Ubuntu, with Linux 4.15.0-36-generic (recovery mode)" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-36-generic-recovery-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-36-generic ...'
	        linux	/boot/vmlinuz-4.15.0-36-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro recovery nomodeset 
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-36-generic
}
menuentry "Ubuntu, with Linux 4.15.0-34-generic" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-34-generic-advanced-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		gfxmode $linux_gfx_mode
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-34-generic ...'
	        linux	/boot/vmlinuz-4.15.0-34-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro  quiet splash $vt_handoff
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-34-generic
}
menuentry "Ubuntu, with Linux 4.15.0-34-generic (recovery mode)" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-34-generic-recovery-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-34-generic ...'
	        linux	/boot/vmlinuz-4.15.0-34-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro recovery nomodeset 
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-34-generic
}
menuentry "Mint, with Linux 4.15.0-20-generic" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-20-generic-advanced-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		gfxmode $linux_gfx_mode
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-20-generic ...'
	        linux	/boot/vmlinuz-4.15.0-20-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro  quiet splash $vt_handoff
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-20-generic
}
menuentry "Mint, with Linux 4.15.0-20-generic (recovery mode)" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-4.15.0-20-generic-recovery-2897f23b-9dae-4c2c-8ed9-30daa7d14d85' {
		recordfail
		load_video
		insmod gzio
		if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos5'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		else
		  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
		fi
		echo	'Loading Linux 4.15.0-20-generic ...'
	        linux	/boot/vmlinuz-4.15.0-20-generic root=UUID=2897f23b-9dae-4c2c-8ed9-30daa7d14d85 ro recovery nomodeset 
		echo	'Loading initial ramdisk ...'
		initrd	/boot/initrd.img-4.15.0-20-generic
}
}
### END /etc/grub.d/10_linux_proxy ###

### BEGIN /etc/grub.d/20_linux_xen ###

### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/21_memtest86+_proxy ###



### END /etc/grub.d/21_memtest86+_proxy ###

### BEGIN /etc/grub.d/40_custom_proxy ###
menuentry "Haiku"{
	set root='(hd0,8)'
	search --no-floppy --fs-uuid --set 505dfcb84a7abd40
	drivemap -s (hd0) ${root}
	chainloader +1
}
### END /etc/grub.d/40_custom_proxy ###

### BEGIN /etc/grub.d/41_os-prober_proxy ###







set timeout_style=menu
if [ "${timeout}" = 0 ]; then
  set timeout=10
fi
menuentry "LMDE 3 Cindy (3) (on /dev/sda6)" --class linuxmint --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-simple-2926c4d5-4c9f-43ed-8c0c-14182b516e92' {
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos6'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos6 --hint-efi=hd0,msdos6 --hint-baremetal=ahci0,msdos6  2926c4d5-4c9f-43ed-8c0c-14182b516e92
	else
	  search --no-floppy --fs-uuid --set=root 2926c4d5-4c9f-43ed-8c0c-14182b516e92
	fi
	linux /boot/vmlinuz-4.9.0-8-686 root=UUID=2926c4d5-4c9f-43ed-8c0c-14182b516e92 ro quiet splash
	initrd /boot/initrd.img-4.9.0-8-686
}
menuentry "MX 17 Horizon (17) (on /dev/sda3)" --class mx --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-simple-018c7f5a-c921-4576-970b-ef5f054efdfa' {
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos3'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos3 --hint-efi=hd0,msdos3 --hint-baremetal=ahci0,msdos3  018c7f5a-c921-4576-970b-ef5f054efdfa
	else
	  search --no-floppy --fs-uuid --set=root 018c7f5a-c921-4576-970b-ef5f054efdfa
	fi
	linux /boot/vmlinuz-4.15.0-1-686-pae root=/dev/sda3
	initrd /boot/initrd.img-4.15.0-1-686-pae
}
### END /etc/grub.d/41_os-prober_proxy ###

### BEGIN /etc/grub.d/43_custom_proxy ###
menuentry "Puppy Linux - xenialpup 7.5 frugal"{
	set root='(hd0,1)'
	search --no-floppy --fs-uuid --set=root c00ea7f7-20d4-46b2-bc0c-772530bfa63e
	linux /xenialpup7.5frugal/vmlinuz root=UUID=c00ea7f7-20d4-46b2-bc0c-772530bfa63e pmedia=atahd psubdir=xenialpup7.5frugal
	initrd /xenialpup7.5frugal/initrd.gz
}
### END /etc/grub.d/43_custom_proxy ###

### BEGIN /etc/grub.d/44_memtest86+_proxy ###
menuentry "Memory test (memtest86+)" {
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos5'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	else
	  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	fi
	knetbsd	/boot/memtest86+.elf
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod part_msdos
	insmod ext2
	set root='hd0,msdos5'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos5 --hint-efi=hd0,msdos5 --hint-baremetal=ahci0,msdos5  2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	else
	  search --no-floppy --fs-uuid --set=root 2897f23b-9dae-4c2c-8ed9-30daa7d14d85
	fi
	linux16	/boot/memtest86+.bin console=ttyS0,115200n8
}
### END /etc/grub.d/44_memtest86+_proxy ###

### BEGIN /etc/grub.d/45_os-prober_proxy ###
submenu "Advanced options for MX 17 Horizon (17) (on /dev/sda3)"{
menuentry "MX 17 Horizon (17) (on /dev/sda3)" --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-/boot/vmlinuz-4.15.0-1-686-pae--018c7f5a-c921-4576-970b-ef5f054efdfa' {
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos3'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos3 --hint-efi=hd0,msdos3 --hint-baremetal=ahci0,msdos3  018c7f5a-c921-4576-970b-ef5f054efdfa
		else
		  search --no-floppy --fs-uuid --set=root 018c7f5a-c921-4576-970b-ef5f054efdfa
		fi
		linux /boot/vmlinuz-4.15.0-1-686-pae root=/dev/sda3
		initrd /boot/initrd.img-4.15.0-1-686-pae
}
}
submenu "Advanced options for LMDE 3 Cindy (3) (on /dev/sda6)"{
menuentry "LMDE 3 Cindy (on /dev/sda6)" --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-/boot/vmlinuz-4.9.0-8-686--2926c4d5-4c9f-43ed-8c0c-14182b516e92' {
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos6'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos6 --hint-efi=hd0,msdos6 --hint-baremetal=ahci0,msdos6  2926c4d5-4c9f-43ed-8c0c-14182b516e92
		else
		  search --no-floppy --fs-uuid --set=root 2926c4d5-4c9f-43ed-8c0c-14182b516e92
		fi
		linux /boot/vmlinuz-4.9.0-8-686 root=UUID=2926c4d5-4c9f-43ed-8c0c-14182b516e92 ro quiet splash
		initrd /boot/initrd.img-4.9.0-8-686
}
menuentry "LMDE 3 Cindy, with Linux 4.9.0-8-686 (on /dev/sda6)" --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-/boot/vmlinuz-4.9.0-8-686--2926c4d5-4c9f-43ed-8c0c-14182b516e92' {
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos6'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos6 --hint-efi=hd0,msdos6 --hint-baremetal=ahci0,msdos6  2926c4d5-4c9f-43ed-8c0c-14182b516e92
		else
		  search --no-floppy --fs-uuid --set=root 2926c4d5-4c9f-43ed-8c0c-14182b516e92
		fi
		linux /boot/vmlinuz-4.9.0-8-686 root=UUID=2926c4d5-4c9f-43ed-8c0c-14182b516e92 ro quiet splash
		initrd /boot/initrd.img-4.9.0-8-686
}
menuentry "LMDE 3 Cindy, with Linux 4.9.0-8-686 (recovery mode) (on /dev/sda6)" --class gnu-linux --class gnu --class os $menuentry_id_option 'osprober-gnulinux-/boot/vmlinuz-4.9.0-8-686-root=UUID=2926c4d5-4c9f-43ed-8c0c-14182b516e92 ro single-2926c4d5-4c9f-43ed-8c0c-14182b516e92' {
		insmod part_msdos
		insmod ext2
		set root='hd0,msdos6'
		if [ x$feature_platform_search_hint = xy ]; then
		  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos6 --hint-efi=hd0,msdos6 --hint-baremetal=ahci0,msdos6  2926c4d5-4c9f-43ed-8c0c-14182b516e92
		else
		  search --no-floppy --fs-uuid --set=root 2926c4d5-4c9f-43ed-8c0c-14182b516e92
		fi
		linux /boot/vmlinuz-4.9.0-8-686 root=UUID=2926c4d5-4c9f-43ed-8c0c-14182b516e92 ro single
		initrd /boot/initrd.img-4.9.0-8-686
}
}
### END /etc/grub.d/45_os-prober_proxy ###

### BEGIN /etc/grub.d/46_uefi-firmware ###
### END /etc/grub.d/46_uefi-firmware ###

### BEGIN /etc/grub.d/47_custom ###
if [ -f  ${config_directory}/custom.cfg ]; then
  source ${config_directory}/custom.cfg
elif [ -z "${config_directory}" -a -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/47_custom ###
